aboutsummaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2014-09-09 09:28:28 +0200
committerGuido Günther <agx@sigxcpu.org>2014-09-09 10:01:40 +0200
commit47c0bfac068a998afbd3cbe0f145cc96ed618927 (patch)
tree85678f52f4d3281484e59436dae8ed1c9d861bb9 /debian
parent29a804d527b85ae3bdcbd1a823065c75cf1debce (diff)
Don't create backup copies of 20services
and remove them if existent Thanks: Johannes Hubertz for pointing this out
Diffstat (limited to 'debian')
-rw-r--r--debian/postinst2
-rw-r--r--debian/preinst43
2 files changed, 44 insertions, 1 deletions
diff --git a/debian/postinst b/debian/postinst
index 9965480..8a56265 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -30,7 +30,7 @@ EOF
"true") VAL=1;;
*) VAL=0;;
esac
- sed -ie "s,^\(\s*Whatmaps::Enable-Restart\s\+\"\)\S\+\(\"\s*;\),\1${VAL}\2," $APT_CONF
+ sed -i -e "s,^\(\s*Whatmaps::Enable-Restart\s\+\"\)\S\+\(\"\s*;\),\1${VAL}\2," $APT_CONF
fi
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 0000000..1d54ef0
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,43 @@
+#!/bin/sh
+# preinst script for whatmaps
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ if dpkg --compare-versions "$2" lt-nl "0.0.8-3~"; then
+ # Remove backup copies of services file
+ md5=$(md5sum /etc/apt/apt.conf.d/20servicese | sed -e 's/ .*//')
+ case "$md5" in
+ 074e684668c83b8a98c5eeb8257c88f2|509ad2c35aa4da3153dd6e70941e060b)
+ rm -f /etc/apt/apt.conf.d/20servicese
+ esac
+ fi
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0